//#region components/_utils/warning.ts
function noop() {}
function resetWarned() {
	warnedMessages.clear();
}
var warnedMessages = /* @__PURE__ */ new Set();
var warning = (valid, component, message) => {
	if (!valid) {
		const key = `${component}:${message}`;
		if (!warnedMessages.has(key)) {
			warnedMessages.add(key);
			console.warn(`[antdx: ${component}] ${message}`);
		}
	}
};
//#endregion
export { warning as default, noop, resetWarned };
